var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconAgentVoiceHangupComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-agent_voice_hangup").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 42 42", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { d: "M36.1233 26.5339C35.6737 26.9835 35.0158 27.1538 34.4045 26.979L30.1643 25.7661C29.6092 25.6073 29.168 25.1848 28.9854 24.6369L27.5272 20.2623C27.5272 20.2623 24.932 18.5123 21.3949 18.5123C17.8578 18.5123 15.2772 20.2623 15.2772 20.2623L13.8192 24.6363C13.6365 25.1845 13.1949 25.6071 12.6393 25.7657L8.38476 26.9798C7.77378 27.1541 7.11633 26.9837 6.66708 26.5345L3.52801 23.3954C1.92943 21.7968 2.2597 19.1574 4.28551 18.1538C8.44601 16.0926 15.2735 13.2623 21.3949 13.2624C27.5163 13.2623 34.3438 16.0926 38.5044 18.1538C40.5301 19.1574 40.8604 21.7968 39.2618 23.3954L36.1233 26.5339Z" }));
}
var IconAgentVoiceHangup = React.forwardRef(IconAgentVoiceHangupComponent);
export default IconAgentVoiceHangup;
